Subject: Re: [PATCH] git-svn: shorten glob error message

From: Victor Leschuk <[email-masked]>
Date: Fri, 22 Jan 2016 16:07:32 +0000

Hello all,

On 01/14/2016 09:15 PM, Junio C Hamano wrote:
> Eric Wong <[email-masked]> writes:
>
>> Error messages should attempt to fit within the confines of
>> an 80-column terminal to avoid compatibility and accessibility
>> problems.  Furthermore the word "directories" can be misleading
>> when used in the context of git refnames.
>>
>> Signed-off-by: Eric Wong <[email-masked]>
>> ---
>>    Eric Wong <[email-masked]> wrote:
>>    > I also noticed the "Only one set of wildcard directories" error
>>    > message is unnecessary long and "wildcard directories" should
>>    > probably be shortened to "wildcards" to avoid wrapping in a terminal.
>>    > That will probably be a separate patch for me.
>>
>>    There's likely more instances of this in git-svn, but I figured
>>    we'll get this one fixed, first.
>>
>>    Also pushed to bogomips.org/git-svn.git
>>    (commit dc6aa7e61e9d33856f54d63b7acb518383420373)
>>    along with Victor's patch.
> Thanks.
>
> I am not sure if it is a good idea to show */*/* as an example in
> the message (that is an anti-example of 'one set of wildcard' by
> having three stars, isn't it?), but that is not a new issue this
> change introduces.

I agree, this should be changed, however I think this should be done in 
separate patch.

Do we have any questions left open before this could be merged into main 
git repo?

--
Victor